Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.master
Class ProcessingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.sun.mdm.index.master.EViewException
                  com.sun.mdm.index.master.ProcessingException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AssumedMatchException, AuditException, CodeLookupException, ConfigurationException, ConnectionInvalidException, DecisionMakerException, EPathException, HelperCreationException, MatchingException, ObjectException, OPSException, OutBoundException, PageException, PhoneticEncoderException, PotentialDuplicateException, QMException, QueryBuilderException, ReportException, SecurityException, SEQException, StandardizationException, SurvivorCalculationException, SystemObjectException, UpdateException

public class ProcessingException
extends EViewException

The ProcessingException class is the base exception class for all system-related exceptions.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Constructor Summary
`ProcessingException()` Creates a new instance of the ProcessingException class without an error message.
`ProcessingException(java.lang.String msg)` Creates a new instance of the ProcessingException class with an error message.
`ProcessingException(java.lang.String msg, java.lang.Throwable t)` Creates a new instance of the ProcessingException class with an error message and a chain of errors.
`ProcessingException(java.lang.Throwable t)` Creates a new instance of the ProcessingException class without an error message but with a chain of errors.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProcessingException

    public ProcessingException()

  Creates a new instance of the ProcessingException class without an error message.

  Parameters:
    None.
  Throws:
    None.

### ProcessingException

    public ProcessingException(java.lang.String msg)

  Creates a new instance of the ProcessingException class with an error message.

  Parameters:
    `msg` - The error message to display for the type of error that occurred.
  Throws:
    None.

### ProcessingException

    public ProcessingException(java.lang.String msg,
                               java.lang.Throwable t)

  Creates a new instance of the ProcessingException class with an error message and a chain of errors.

  Parameters:
    `msg` - The error message to display for the type of error that occurred.
    `t` - The chain of errors that caused the exception.
  Throws:
    None.

### ProcessingException

    public ProcessingException(java.lang.Throwable t)

  Creates a new instance of the ProcessingException class without an error message but with a chain of errors.

  Parameters:
    `t` - The chain of errors that caused the exception.
  Throws:
    None.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.